Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Class HeirarchicalLoaderRepository3ConfigParser

    java.lang.Object
      org.jboss.mx.loading.HeirarchicalLoaderRepository3ConfigParser

All Implemented Interfaces:
  LoaderRepositoryFactory.LoaderRepositoryConfigParser

public class HeirarchicalLoaderRepository3ConfigParser
extends Object
implements LoaderRepositoryFactory.LoaderRepositoryConfigParser

The LoaderRepositoryConfigParser implementation for the HeirarchicalLoaderRepository3. This implementation supports the single java2ParentDelegation property which indicates whether the HeirarchicalLoaderRepository3 should load classes from its scope first followed by its parent repository (java2ParentDelegation=true).

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`HeirarchicalLoaderRepository3ConfigParser()`

Method Summary
`void` | `configure(LoaderRepository repository, String config)` Set the HeirarchicalLoaderRepository3.UseParentFirst attribute based on the value of the java2ParentDelegation property found in the config.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeirarchicalLoaderRepository3ConfigParser

    public HeirarchicalLoaderRepository3ConfigParser()

Method Detail

### configure

    public void configure(LoaderRepository repository,
                          String config)
                   throws Exception

  Set the HeirarchicalLoaderRepository3.UseParentFirst attribute based on the value of the java2ParentDelegation property found in the config.

  Specified by:
    `configure` in interface `LoaderRepositoryFactory.LoaderRepositoryConfigParser`
  Parameters:
    `repository` - the HeirarchicalLoaderRepository3 to set the UseParentFirst attribute on.
    `config` - A string representation of a Properties file
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.